Name:		linchpin
Version:	0.9.1
Release:	3%{?dist}
Summary:	Ansible based multicloud orchestrator

License:	GPLv3+
URL:		http://github.com/CentOS-PaaS-SIG/linch-pin
Source0:	https://github.com/CentOS-PaaS-SIG/linch-pin/archive/v%{version}.tar.gz

BuildRequires:	openssl-devel
BuildRequires:	libyaml-devel
BuildRequires:	python2-tabulate
BuildRequires:	python2-sphinx
BuildRequires:	python2-six
BuildRequires:	python2-shade
BuildRequires:	python2-pytz
BuildRequires:	python-openstackclient
BuildRequires:	python2-nose
BuildRequires:	ansible
BuildRequires:	python2-devel
BuildRequires:	bash-completion
Requires:	ansible
Requires:	python-plumbum
Requires:	python2-sphinx
Requires:	python2-six
Requires:	python2-shade
Requires:	python2-pytz
Requires:	python-openstackclient
Requires:	python2-nose
Requires:	python2-camel
Requires:	python2-yamlordereddictloader
Requires:	beaker-client
Requires:	python2-click
Requires:	python2-coverage
Requires:	python2-shade >= 1.9
Requires:	python2-tabulate
Requires:	python2-libcloud
Requires:	python2-boto
Requires:	python2-ndg_httpsclient
Requires:	python-enum34
Requires:	bash-completion

BuildArch:  noarch

%description
linchpin is an Ansible-based tool to stand up and tear down
resources in various cloud environments


%prep
%autosetup -n linch-pin-%{version}
sed -i requirements.txt -e 's/beaker-client==/beaker-client>=/' \
	-e '/functools32/d' \
	-e 's/ansible==/ansible>=/' \
	-e 's/jinja2==/jinja2>=/'
for d in InventoryFilters provision linchpin_api tests library; do
	find "${d}" -name '*.py' -exec sed -e '/#!\/usr\/bin.*/d' -i '{}' \;
done
for d in provision linchpin_api tests; do
	find "${d}" -executable -name '*.py' -type f -exec chmod 0644 '{}' \;
done

%build
%py2_build

%install
%py2_install
rm -f %{buildroot}/usr/%{name}_config.yml
rm -f %{buildroot}/usr/requirements.txt
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
mv %{buildroot}%{_bindir}/%{name}_complete.sh \
	%{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
chmod 0644 %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%files
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}
%{python2_sitelib}/InventoryFilters
%{python2_sitelib}/cli
%{python2_sitelib}/configure
%{python2_sitelib}/docs
%{python2_sitelib}/ex_schemas
%{python2_sitelib}/ex_topo
%{python2_sitelib}/keystore
%{python2_sitelib}/inventory_layouts
%{python2_sitelib}/library
%{python2_sitelib}/%{name}-%{version}-py2.7.egg-info/
%{python2_sitelib}/%{name}.py
%{python2_sitelib}/%{name}.pyc
%{python2_sitelib}/%{name}.pyo
%{python2_sitelib}/%{name}_api
%{python2_sitelib}/outputs
%{python2_sitelib}/provision
%{python2_sitelib}/templates
%{python2_sitelib}/tests

%changelog
* Thu May 11 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-3
- Clean up scripts that should not have shebang lines

* Mon Apr 03 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-2
- Adding install dependencies
- Tweak beaker client requirements

* Mon Mar 27 2017 Greg Hellings <greg.hellings@gmail.com> - 0.9.1-1
- Upstream version 0.9.1
- Changed download URL to be permanent

* Tue Jan 24 2017 Greg Hellings <greg.hellings@gmail.com> - 0.8.2-1
- First upstream release
